#[Copyright 2023 ITwrx.
This file is part of EZ-Bkup.
EZ-Bkup is released under the General Public License 3.0.
See COPYING or <https://www.gnu.org/licenses/> for details.]#

import logging, times, os

let appPath* = getHomeDir() & ".ez-bkup"
let databasePath* = appPath & "/ez-bkup.sqlite"

if not dirExists(appPath):
  createDir(appPath)

var logger = newFileLogger(appPath & "/errors.log")
let dt = now()
let nowDT* = dt.format("M-d-YYYY h:mm:ss tt")

proc writeErrorToLog*(logMsg: string) =
  logger.log(lvlError, logMsg)

proc writeInfoToLog*(logMsg: string) =
  logger.log(lvlInfo, logMsg)

proc hasCommas*(filename: string):bool =
  ',' in filename       
